SpriteLibrary
SpriteLibrary
SpriteLibrary
AnimationInfo Class
AnimationType Enumeration
Sprite Class
Sprite.SpriteEventHandler Delegate
SpriteAdjustmentRatio Structure
SpriteCollisionMethod Enumeration
SpriteController Class
SpriteDatabase Class
SpriteEventArgs Class
SpriteInfo Class
SpriteKeyEventHandler Delegate
SpritePauseType Enumeration
SpritePayload Class

# Sprite SpriteEventHandler Delegate

A delegate that has a SpriteEventArgs instead of EventArgs. Used for most of the Sprite events. This allows us to pass more information from sprite events than a basic EventArgs allows for. You will see this mainly when you are creating a function for one of the many Sprite Events. (see: SpriteHitsPictureBox, SpriteAnimationComplete, and SpriteHitsSprite for a few examples)

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public delegate void SpriteEventHandler(
    	Object sender,
    	SpriteEventArgs e
    )

#### Parameters

sender
  Type: System
  Object
  The Sprite that triggers the event
e
  Type: SpriteLibrary
  SpriteEventArgs
  A SpriteEventArgs class which contains Sprite Event values

See Also

#### Reference

SpriteLibrary Namespace